# Yapstone::MarketplaceProductsApi

All URIs are relative to *https://api-prod-sandbox.yapstone.com/v2/onboarding*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_marketplace_product**](MarketplaceProductsApi.md#get_marketplace_product) | **GET** /marketplace-products/{productId} | Retrieves a MarketPlace Product
[**update_marketplace_product**](MarketplaceProductsApi.md#update_marketplace_product) | **PUT** /marketplace-products/{productId} | Update selctive MarketPlace Product details



## get_marketplace_product

> MarketplaceProductResource get_marketplace_product(product_id)

Retrieves a MarketPlace Product

Retrieves a MarketPlace Product

### Example

```ruby
# load the gem
require 'yapstone-so'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::MarketplaceProductsApi.new
product_id = 'product_id_example' # String | The unique id of Product Resource.

begin
  #Retrieves a MarketPlace Product
  result = api_instance.get_marketplace_product(product_id)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling MarketplaceProductsApi->get_marketplace_product: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **product_id** | **String**| The unique id of Product Resource. | 

### Return type

[**MarketplaceProductResource**](MarketplaceProductResource.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update_marketplace_product

> MarketplaceProductResource update_marketplace_product(product_id, marketplace_product_resource)

Update selctive MarketPlace Product details

Update selctive MarketPlace Product details

### Example

```ruby
# load the gem
require 'yapstone-so'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::MarketplaceProductsApi.new
product_id = 'product_id_example' # String | The unique id of Product Resource.
marketplace_product_resource = Yapstone::MarketplaceProductResource.new # MarketplaceProductResource | The Marketplace product resource object with fields to be updated.

begin
  #Update selctive MarketPlace Product details
  result = api_instance.update_marketplace_product(product_id, marketplace_product_resource)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling MarketplaceProductsApi->update_marketplace_product: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **product_id** | **String**| The unique id of Product Resource. | 
 **marketplace_product_resource** | [**MarketplaceProductResource**](MarketplaceProductResource.md)| The Marketplace product resource object with fields to be updated. | 

### Return type

[**MarketplaceProductResource**](MarketplaceProductResource.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json-patch+json
- **Accept**: application/json

