# Yapstone::PayoutProductsApi

All URIs are relative to *https://api-prod-sandbox.yapstone.com/v2/onboarding*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_payout_product**](PayoutProductsApi.md#get_payout_product) | **GET** /payout-products/{productId} | Retrieves a Payout Product



## get_payout_product

> PayoutProductResource get_payout_product(product_id)

Retrieves a Payout Product

Retrieves a Payout Product

### Example

```ruby
# load the gem
require 'yapstone-so'
# setup authorization
Yapstone.configure do |config|
  # Configure Bearer authorization (JWT): Bearer
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = Yapstone::PayoutProductsApi.new
product_id = 'product_id_example' # String | The unique id of Product Resource.

begin
  #Retrieves a Payout Product
  result = api_instance.get_payout_product(product_id)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling PayoutProductsApi->get_payout_product: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **product_id** | **String**| The unique id of Product Resource. | 

### Return type

[**PayoutProductResource**](PayoutProductResource.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

